#! /bin/sh

if [ -f ./ChangeLog_to_cvs_script.hook ]; then
	source ./ChangeLog_to_cvs_script.hook
fi


if [ -f ./ChangeLog_to_cvs_script.latest_timestamp ]; then
	latest_time_stamp=$(head -c 10 ./ChangeLog_to_cvs_script.latest_timestamp);
	if echo ${latest_time_stamp} | awk -- '/^[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]$/ { exit 1;}' ; then
		echo "Invalid content of file ChangeLog_to_cvs_script.latest_timestamp: \`${latest_time_stamp}'";
		exit -1;
	else
		latest_time_stamp="-v p=${latest_time_stamp}"
	fi
else
	latest_time_stamp=""
fi

awk ${latest_time_stamp} -f ./ChangeLog_to_cvs_script.awk -- ChangeLog > ./ChangeLog_to_cvs_script.cvs_commands

echo "# CVS commands to be executed, please verify everything is OK!"
echo "# #####################################################################"
cat ./ChangeLog_to_cvs_script.cvs_commands

echo "# #####################################################################"
echo "# Would you lile to execute the CVS commands above (yes/no)?"
select answer in yes no; do
case $answer in
	yes) 
		source ./ChangeLog_to_cvs_script.cvs_commands
		break;;
	no) 
		exit 0;;
	*) 
		echo "Please answer yes or no";;
esac
done